Het weer - Actueel weer in regio. Het actueel weer is voor iedereen beschikbaar. Leden krijgen (in de nabije toekomst) toegang tot exta informatie, zoals bijvoorbeeld historische gegevens. Leden kunnen ook deelnemen aan het weerforum of zelf hun actuele weer toevoegen.
Hieronder kun je inloggen of een account aanmaken.
Inloggen
Nog geen account? Maak er één aan!
 


Uitgebreid zoeken in forum


Welkom, Gast
Alstublieft Inloggen of Registreren.    Wachtwoord verloren?
Strato: ondersteuning PHP 7.0 vervalt update nodig (1 bezoeker) (1) Gast
Ga naar onderkant Favoriet: 0
TOPIC: Strato: ondersteuning PHP 7.0 vervalt update nodig
#70455
Strato: ondersteuning PHP 7.0 vervalt update nodig 3 Weken, 5 Dagen geleden  
Van Strato ontving ik onderstaand bericht: "PHP is de motor achter veel dynamische websites. Ook jouw site draait op PHP en maakt momenteel gebruik van PHP 7.0. De PHP-community biedt gratis veiligheidsupdates voor de meest recente versies. De PHP-versie 7.0 is verouderd. Vanaf december 2018 kun je daarom niet meer profiteren van de gratis veiligheidsupdates van de PHP-community. Wij laten je niet in de kou staan. Tot en met 04-02-2019 voeren onze ontwikkelaars gratis veiligheidsupdates door. Zo heb je genoeg tijd om een update naar een nieuwe PHP-versie door te voeren. We raden je aan om na de versiewijziging de functionaliteit van je scripts en websites te testen en eventuele problemen te verhelpen....enz."
Mijn site draait momenteel de Leuven Template die voor een groot deel al draait onder php 7.2 liet Wim van der Kuil mij weten.
Vraag: heeft iemand hier informatie over / ervaring mee met STRATO?
Hoe kom ik er achter welk onderdeel van mijn site ik nog aan moet passen? e.d.
hhu (Gebruiker)
Nieuw forum deelnemer
Berichten: 22
graphgraph
Gebruiker offline Klik hier om het gebruikersprofiel van deze gebruiker te zien
Geslacht: Man Weerstation Hoek van Holland Locatie: Hoek van Holland Geboortedatum: 1955-03-10
Gelogd Gelogd  
 
De Administrator heeft publieke schrijf toegang geblokkeerd.  
#70456
Re:Strato: ondersteuning PHP 7.0 vervalt update nodig 3 Weken, 5 Dagen geleden  
Als je website gebruik maakt van PHP7.2, dan lijkt me voor jou de eenvoudigste aanpassing om naar je account van STRATO te gaan en daar de benodigde hogere PHP-versie te kiezen.

Draai mijn website bij STRATO, heb daar geen 'kritische' PHP-scripts, maar zo'n upgrade ging bij mij eenvoudig & geruisloos.
Toulon7559 (Moderator)
TFA_Nexus+WS7000+WsWin+Domoticz
Data & Forum Moderator
Berichten: 458
graphgraph
Gebruiker offline Klik hier om het gebruikersprofiel van deze gebruiker te zien
Geslacht: Man Locatie: Hengelo (Ov) Geboortedatum: 1950-01-01
Gelogd Gelogd  
 
Je kunt nooit genoeg meten om te weten:
dat betekent niet dat alles begrijpelijker wordt .....
Hengelo-Slangenbeek-Home
Hengelo-Slangenbeek-AWEKAS
 
De Administrator heeft publieke schrijf toegang geblokkeerd.  



#70549
Re:Strato: ondersteuning PHP 7.0 vervalt update nodig 1 Week, 5 Dagen geleden  
Dank voor je reactie!
Ingelogd bij Strato en overstap naar versie php7.2 ging idd gesmeerd.
hhu (Gebruiker)
Nieuw forum deelnemer
Berichten: 22
graphgraph
Gebruiker offline Klik hier om het gebruikersprofiel van deze gebruiker te zien
Geslacht: Man Weerstation Hoek van Holland Locatie: Hoek van Holland Geboortedatum: 1955-03-10
Gelogd Gelogd  
 
De Administrator heeft publieke schrijf toegang geblokkeerd.  
#70550
Re:Strato: ondersteuning PHP 7.0 vervalt update nodig 1 Week, 5 Dagen geleden  
Een beetje off-topic, maar indirect toch wel gelinkt aan deze post de volgende vraag:

Mijn website is gebouwd op PHP 5.5, kan ik die hele site middels een of andere conversie tool omzetten naar PHP 7.2?
Of moet ik nu de hele site opnieuw gaan programmeren naar PHP7.2?
Dat is nog een hele klus lijkt mij,

gr. Remie
weerstationhoogeloon (Gebruiker)
Vantage Pro 2 Plus, Weather Wizard III
Expert forum deelnemer
Berichten: 337
graphgraph
Gebruiker offline Klik hier om het gebruikersprofiel van deze gebruiker te zien
Geslacht: Man Weerstation Hoogeloon Locatie: Hoogeloon Geboortedatum: 1957-00-00
Gelogd Gelogd  
 
Weerstation Hoogeloon
Davis Vantage Pro 2 Plus Wireless, Weather Envoy VP2,
Davis Weather Wizard III,
fit-PC-Slim (verbruik: ~7Watt !!!);
StartWatch 1.1.1.144, Virtual VP 1.2.5.74, Weatherlink 6.0.3 seriële datalogger, Cumulus 1.9.4.1085, FWICalc 10.1.1.104, XP-pro SP3
 
De Administrator heeft publieke schrijf toegang geblokkeerd.  
#70554
Re:Strato: ondersteuning PHP 7.0 vervalt update nodig 1 Week, 4 Dagen geleden  
Remie,

Belangrijke vraag daarbij is óf & hoe je functies in je website hebt gebruikt, die echt afhankelijk zijn van PHP5.5, of dat je vooral 'mainstream-PHP' hebt toegepast.

Je kunt eerst 'op papier' nakijken of er mogelijk functies zijn die nu met PHP5.5 wel, maar onder PHP7.2 niet meer of anders werken, dan 'preventief aanpassen' wat nodig lijkt, en daarna overstappen met een proef-versie.
Andersom is een brute methode, om heel proefondervindelijk direct te kijken of je huidige website wil draaien in een omgeving met PHP7.2, en dan 'correctief repareren' wat nodig is.
Bij die laatste aanpak moet je vooraf wel even bedenken hoe je omgaat met het eventuele resultaat dat je website echt niet functioneert onder PHP7.2.

Een combinatie van de 2 geschetste aanpakken lijkt me het meest praktisch:
sommige aspecten kun je zien aankomen, andere niet (vooral de subtiele dingetjes) .......
Toulon7559 (Moderator)
TFA_Nexus+WS7000+WsWin+Domoticz
Data & Forum Moderator
Berichten: 458
graphgraph
Gebruiker offline Klik hier om het gebruikersprofiel van deze gebruiker te zien
Geslacht: Man Locatie: Hengelo (Ov) Geboortedatum: 1950-01-01
Gelogd Gelogd  
 
Je kunt nooit genoeg meten om te weten:
dat betekent niet dat alles begrijpelijker wordt .....
Hengelo-Slangenbeek-Home
Hengelo-Slangenbeek-AWEKAS
 
De Administrator heeft publieke schrijf toegang geblokkeerd.  
#70559
Re:Strato: ondersteuning PHP 7.0 vervalt update nodig 1 Week, 3 Dagen geleden  
Dan wordt het toch maar es de hele site onder handen gaan nemen.
Wordt iets voor de lange winteravonden.
Ook maar weer eens nagaan welke pagina's interessant zijn, misschien wat content opfrissen, verwijderen, etc...

Bedankt voor de info,
gr Remie

nu meer weer on-topic...
weerstationhoogeloon (Gebruiker)
Vantage Pro 2 Plus, Weather Wizard III
Expert forum deelnemer
Berichten: 337
graphgraph
Gebruiker offline Klik hier om het gebruikersprofiel van deze gebruiker te zien
Geslacht: Man Weerstation Hoogeloon Locatie: Hoogeloon Geboortedatum: 1957-00-00
Gelogd Gelogd  
 
Weerstation Hoogeloon
Davis Vantage Pro 2 Plus Wireless, Weather Envoy VP2,
Davis Weather Wizard III,
fit-PC-Slim (verbruik: ~7Watt !!!);
StartWatch 1.1.1.144, Virtual VP 1.2.5.74, Weatherlink 6.0.3 seriële datalogger, Cumulus 1.9.4.1085, FWICalc 10.1.1.104, XP-pro SP3
 
De Administrator heeft publieke schrijf toegang geblokkeerd.  
#70569
Re:Strato: ondersteuning PHP 7.0 vervalt update nodig 1 Week, 2 Dagen geleden  
Of een provider nemen die nog wel php7 ondersteund...
T.J. (Gebruiker)
Goud forum deelnemer
Berichten: 400
graphgraph
Gebruiker offline Klik hier om het gebruikersprofiel van deze gebruiker te zien
Geslacht: Man Weerstation Noordbergum Locatie: Noordbergum, Friesland Geboortedatum: 1973-09-10
Gelogd Gelogd  
 
Davis Vantage pro2 met solar en UV
Belfryboy logger
Meteobridge 3.5 / Cumulus
Leuven template 2.8j
 
De Administrator heeft publieke schrijf toegang geblokkeerd.  
#70571
Re:Strato: ondersteuning PHP 7.0 vervalt update nodig 1 Week geleden  
T.J.,

M.i. bedoel je:
'provider die nog PHP5.5 ondersteunt'
om nog even zonder aanpassingen verder te kunnen gaan.
Toulon7559 (Moderator)
TFA_Nexus+WS7000+WsWin+Domoticz
Data & Forum Moderator
Berichten: 458
graphgraph
Gebruiker offline Klik hier om het gebruikersprofiel van deze gebruiker te zien
Geslacht: Man Locatie: Hengelo (Ov) Geboortedatum: 1950-01-01
Gelogd Gelogd  
 
Laatste Wijziging: 14/01/2019 15:56 Door Toulon7559.
 
Je kunt nooit genoeg meten om te weten:
dat betekent niet dat alles begrijpelijker wordt .....
Hengelo-Slangenbeek-Home
Hengelo-Slangenbeek-AWEKAS
 
De Administrator heeft publieke schrijf toegang geblokkeerd.  
#70576
Re:Strato: ondersteuning PHP 7.0 vervalt update nodig 5 Dagen, 8 Uren geleden  
Dat kan, maar ik gebruik inmiddels php 7.0 met Leuven.
Hoe hoger de versie, des te meer kans dat bepaalde functie aanroepen zijn vervallen of veranderd.
Via debugger in firefox etc. zijn bepaalde fouten te achterhalen.
Onderaan de leuven template is de mogelijkheid om php te verifieren.

Mijn site werkt wel met php 7.0 maar zal ongetwijfeld fouten genereren.

Ik kan evt teruggaan naar 5.5, mijn provider geeft daar de mogelijkheid toe.

gr. Tjeerd
T.J. (Gebruiker)
Goud forum deelnemer
Berichten: 400
graphgraph
Gebruiker offline Klik hier om het gebruikersprofiel van deze gebruiker te zien
Geslacht: Man Weerstation Noordbergum Locatie: Noordbergum, Friesland Geboortedatum: 1973-09-10
Gelogd Gelogd  
 
Davis Vantage pro2 met solar en UV
Belfryboy logger
Meteobridge 3.5 / Cumulus
Leuven template 2.8j
 
De Administrator heeft publieke schrijf toegang geblokkeerd.  
#70579
Re:Strato: ondersteuning PHP 7.0 vervalt update nodig 3 Dagen, 21 Uren geleden  
Remie/Hoogeloon zit (volgens zijn eerste bericht) nog met scripts 'nominaal' op niveau op PHP5.5 en moet dus nog 'de hele weg omhoog uitvinden', omdat STRATO meedeelt dat ze naar de PHP-versie >7.0 gaan.
In dat perspectief zie ik zijn vraag hoe hij zijn scripts kan 'bijwerken'.
Toulon7559 (Moderator)
TFA_Nexus+WS7000+WsWin+Domoticz
Data & Forum Moderator
Berichten: 458
graphgraph
Gebruiker offline Klik hier om het gebruikersprofiel van deze gebruiker te zien
Geslacht: Man Locatie: Hengelo (Ov) Geboortedatum: 1950-01-01
Gelogd Gelogd  
 
Laatste Wijziging: 18/01/2019 11:55 Door Toulon7559.
 
Je kunt nooit genoeg meten om te weten:
dat betekent niet dat alles begrijpelijker wordt .....
Hengelo-Slangenbeek-Home
Hengelo-Slangenbeek-AWEKAS
 
De Administrator heeft publieke schrijf toegang geblokkeerd.  
Ga naar bovenkant
Advertisement

Bezoekers

We hebben 187 gasten en 7 leden online